@ECHO OFF
if exist finish.txt goto end
if exist second.txt goto second

ECHO Note:
ECHO System will auto reboot after first flashing and please press "F1" when it shows "Press F1 to resume" on the monitor.
ECHO After BIOS updating finish, system will shutdown automatically.
ECHO Please do not remove your USB flash or power off when the BIOS updating.
pause


if not exist autoexec.bat goto firstflash
ren autoexec.bat autoexec.tmp
goto firstflash


:firstflash
ren first.txt second.txt
copy flash.bat autoexec.bat
DISEUPC.EXE
AFUDOS.exe XS36V000.102 /P /B /X /REBOOT
goto end


:second
call second.bat



:end